//==================B=O=T=====T=R=I=G=G=E=R=====B=Y=====B=S=H================
//
// Name:		nightmarik_i.c
// Function:		items weights
// Beta tester:		[bsh]thrasher (thrasher@quake.ru)
// Last update:		2002-05-30
// Tab Size:		4 (real tabs)
//===========================================================================

#include "inv.h"

//initial health/armor states
#define FS_HEALTH				510
#define FS_ARMOR				600

//initial weapon weights
#define W_SHOTGUN				170
#define W_MACHINEGUN				190
#define W_GRENADELAUNCHER			180
#define W_ROCKETLAUNCHER			280
#define W_RAILGUN				500
#define W_BFG10K				290
#define W_LIGHTNING				250
#define W_PLASMAGUN				220

//the bot has the weapons, so the weights change a little bit
#define GWW_SHOTGUN				210
#define GWW_MACHINEGUN				260
#define GWW_GRENADELAUNCHER			240
#define GWW_ROCKETLAUNCHER			300
#define GWW_RAILGUN				460
#define GWW_BFG10K				320
#define GWW_LIGHTNING				250
#define GWW_PLASMAGUN				300

//initial powerup weights
#define W_TELEPORTER				120
#define W_MEDKIT				130
#define W_QUAD					600
#define W_ENVIRO				140
#define W_HASTE					150
#define W_INVISIBILITY				160
#define W_REGEN					170
#define W_FLIGHT				180

//flag weight
#define FLAG_WEIGHT				100

//
#include "fw_items.c"

